; ##############################################################################
; ##############################################################################
; ##############################################################################
; inp/out: temp1																
RAUM_TEMP1:
.equ VERZ =16000		; Verzgerung
	ldi XL,low (adr_BUFFER)	; X			
	ldi XH,high(adr_BUFFER)
	LDS ZL,(adr_ZEIGER_L)	; Z			
	LDS ZH,(adr_ZEIGER_H)
	add XL, ZL				; X+Z		
	adc XH, ZH
	ST X+,temp1				; save X+1	
;-------------------------------------------------------------------------------
	LD temp1,X				; load		
	cpi ZL, LOW (VERZ-1)	; =max ?	
	brne RAUM_w 
	cpi ZH, high(VERZ-1)	; =max ?	
	brne RAUM_w
	ldi XL,low (adr_BUFFER)	; X			
	ldi XH,high(adr_BUFFER)
	LD temp,X				; load		
;-------------------------------------------------------------------------------
RAUM_w:
	adiw ZL,1				; Z+1		
	cpi ZL, LOW (VERZ)		; =max ?	
	brne RAUM_w1 
	cpi ZH, high(VERZ)		; =max ?	
	brne RAUM_w1 
	STS(adr_ZEIGER_L),NULL	; NULL		
	STS(adr_ZEIGER_H),NULL
	ret
;-------------------------------------------------------------------------------
RAUM_w1:
	STS(adr_ZEIGER_L),ZL
	STS(adr_ZEIGER_H),ZH
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Sgezahn																		
SAEGEZAHN:
	wdr
	rcall WAIT_2us
	tst temp9		; Richtung	
	brmi PWM_SZ_n
	IN temp,OCR0A
	inc temp
	OUT OCR0A,temp	; PWM		
	OUT OCR0B,temp	; PWM		
	cpi temp,255
	brne SAEGEZAHN
	com temp9		; Richtung	
	rjmp SAEGEZAHN
;-------------------------------------------------------------------------------
PWM_SZ_n:
	IN temp,OCR0A
	dec temp
	OUT OCR0A,temp	; PWM		
	OUT OCR0B,temp	; PWM		
	tst temp
	brne SAEGEZAHN
	com temp9		; Richtung	
rjmp SAEGEZAHN
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_TEMP1:
	cpi temp1,127-15
	brlo ADC_MESSUNG_g
	cpi temp1,127+15
	brsh  ADC_MESSUNG_g
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	rjmp ADC_MESSUNG_w
ADC_MESSUNG_g:
	cbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB an	
;-------------------------------------------------------------------------------
ADC_MESSUNG_w:
	cpi temp1,0
	breq ADC_MESSUNG_E
	cpi temp1,255
	breq ADC_MESSUNG_E
	sbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  
	ret
ADC_MESSUNG_E:
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
